#include <iostream>
#include <string.h>
#include <iomanip>
#include <time.h>
#include <vector>
#include <string>
#include <fstream>
using namespace std;

extern int solve(std::vector<int> P, int N, int M, std::vector<std::vector<int>> A);

static int n, m;
static std::vector<int> P;
static std::vector<std::vector<int>> A;

static void input()
{
    std::cin >> n >> m;
    P.resize(1 << 10);

    for (int i = 0; i < (1 << 10); i++)
    {
        std::cin >> P[i];
    }

    A.resize(n);
    for (int i = 0; i < n; i++)
    {
        A[i].resize(m);
        for (int j = 0; j < m; j++)
        {
            std::cin >> A[i][j];
        }
    }
}

int main(int argc, char** args)
{
    std::ios::sync_with_stdio(false);

    double begInput = clock();
    input();
    double endInput = clock();
    ofstream fout(args[1]);
    fout << "input-time:" << fixed << setprecision(3) << (endInput-begInput)/CLOCKS_PER_SEC << endl ;
    fout.close();

    int answer = solve(P, n, m, A);

    double begOutput = clock();
    std::cout << answer << std::endl;
    double endOutput = clock();

    fout.open(args[1], ios::app);
    fout << "output-time:" << fixed << setprecision(3) << (endOutput-begOutput)/CLOCKS_PER_SEC << endl ;
    fout << "io-time:" << fixed << setprecision(3) << (endOutput-begOutput+endInput-begInput)/CLOCKS_PER_SEC << endl ;
    fout.close();

    return 0;
}
